org.apache.fop.events

## Class UnsupportedOperationExceptionFactory

- java.lang.Object
- - org.apache.fop.events.UnsupportedOperationExceptionFactory

-     public class UnsupportedOperationExceptionFactory
      extends java.lang.Object

  Exception factory for `UnsupportedOperationException`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedOperationExceptionFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `createException(Event event)`
    `java.lang.Class<java.lang.UnsupportedOperationException>` | `getExceptionClass()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedOperationExceptionFactory

          public UnsupportedOperationExceptionFactory()

  - ### Method Detail

    - #### createException

          public java.lang.Throwable createException(Event event)

    - #### getExceptionClass

          public java.lang.Class<java.lang.UnsupportedOperationException> getExceptionClass()

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.